Index: modules/uoa-search/trunk/src/main/resources/csv_person.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/csv_person.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/csv_person.xsl	(nonexistent)
@@ -1,27 +0,0 @@
-
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-                xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-                xmlns:oaf="http://namespace.openaire.eu/oaf"
-                xmlns:dc="http://purl.org/dc/elements/1.1/">
-
-    <!-- Turn off auto-insertion of <?xml> tag and set indenting on -->
-    <xsl:output method="text" encoding="utf-8" omit-xml-declaration="yes" media-type="text/csv" />
-
-    <!-- strip whitespace from whitespace-only nodes -->
-    <xsl:strip-space elements="*"/>
-
-    <xsl:template match = "/">
-        <xsl:apply-templates select="//oaf:person"/>
-    </xsl:template>
-
-    <!-- Fullname -->
-    <xsl:template match="oaf:person">
-
-        <!-- Fullname -->
-        <xsl:text>"</xsl:text>
-        <xsl:value-of select="fullname"/>
-        <xsl:text>"&#xd;</xsl:text>
-
-    </xsl:template>
-
-</xsl:stylesheet>
\ No newline at end of file
Index: modules/uoa-search/trunk/src/main/resources/person.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/person.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/person.xsl	(nonexistent)
@@ -1,212 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-xmlns:oaf="http://namespace.openaire.eu/oaf"
-xmlns:dc="http://purl.org/dc/elements/1.1/">
-<xsl:output method="xml" indent="yes" encoding="UTF-8"/>
-<xsl:template match="/">
-<record type="person">
-	<xsl:apply-templates select="//header"/>
-	<xsl:apply-templates select="//oaf:person"/>
-	<xsl:apply-templates select="//rel"/>
-</record>
-</xsl:template>
-
-<xsl:template match="header">
-	<field name="personId" multiplicity="false" indexId="objIdentifier" label="Object id">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./dri:objIdentifier'/>
-		</xsl:attribute>
-	</field>	
-</xsl:template>
-
-
-<xsl:template match="oaf:person">
-
-	<field name="firstname" multiplicity="false" indexId="personfirstname" label="Firstname">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./firstname'/>
-		</xsl:attribute>
-	</field>
-
-	<field name="fullname" multiplicity="false" indexId="personfullname" label="Fullname">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./fullname'/>
-		</xsl:attribute>
-	</field>
-
-	<field name="secondnames" multiplicity="false" indexId="personsecondnames" label="Second names">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./secondnames'/>
-		</xsl:attribute>
-	</field>
-
-	<xsl:for-each select = "./fax">
-		<field name="fax" indexId = "personfax" multiplicity="true" label="fax">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-
-	<xsl:for-each select = "./phone">
-		<field name="phone" indexId = "personphone" multiplicity="true" label="phone">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-
-	<xsl:for-each select = "./email">
-		<field name="email" indexId = "personemail" multiplicity="true" label="e-mail">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-
-	<xsl:for-each select = "./pid">
-		<field name="pidid" indexId = "pidclassid" multiplicity="true" label="Pid">
-			<xsl:attribute name="value">
-				<xsl:value-of select='./@classid'/>
-			</xsl:attribute>
-		</field>
-		<field name="pidname" indexId = "pidclassname" multiplicity="true" label="Pid">
-			<xsl:attribute name="value">
-				<xsl:value-of select='./@classname'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-
-	<xsl:for-each select = "./collectedfrom">
-		<field name="collectedfrom" indexId = "personcollectedfrom" multiplicity="true" label="Collected from">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	
-	<xsl:for-each select = "./nationality">
-		<field name="nationalityid" indexId = "personcountryid" multiplicity="true" label="Country">
-			<xsl:attribute name="value">
-				<xsl:value-of select='./@classid'/>
-			</xsl:attribute>
-		</field>
-		<field name="nationalityname" indexId = "personcountryname" multiplicity="true" label="Country">
-			<xsl:attribute name="value">
-				<xsl:value-of select='./@classname'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-
-
-</xsl:template>
-
-<xsl:template match="rel">
-<!--PERSON-->
-	<xsl:if test="./to/@type='person'">
-		<field name="author" indexId = "objIdentifier"  multiplicity="true">
-			<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			<field name = "personId" indexId ="objIdentifier" multiplicity="false" label="Person id">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "role" indexId ="" multiplicity="false" label="role">		
-				<xsl:attribute name="value"><xsl:value-of select='./to/@class'/> </xsl:attribute>
-			</field>
-			<field name = "fullname" indexId ="personfullname" multiplicity="false" label="Person fullname">		
-				<xsl:attribute name="value"><xsl:value-of select='./fullname'/> </xsl:attribute>
-			</field>
-			<field name = "ranking" indexId ="" multiplicity="false" label="ranking">		
-				<xsl:attribute name="value"><xsl:value-of select='./ranking'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>
-<!--PROJECT-->
-	<xsl:if test="./to/@type='project'">	
-		<field name="project" indexId = "objIdentifier" multiplicity="true">
-			<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			<field name = "projectId" indexId ="objIdentifier" multiplicity="false" label="Project id">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "role" indexId ="" multiplicity="false" label="role">		
-				<xsl:attribute name="value"><xsl:value-of select='./to/@class'/> </xsl:attribute>
-			</field>
-			<field name = "projectcode" indexId ="projectcode" multiplicity="false" label="Project(s)">		
-				<xsl:attribute name="value"><xsl:value-of select='./code'/> </xsl:attribute>
-			</field>	
-			<field name = "projectacronym" indexId ="projectacronym" multiplicity="false" label="Project(s)">		
-				<xsl:attribute name="value"><xsl:value-of select='./acronym'/> </xsl:attribute>
-			</field>
-			<field name = "projecttitle" indexId ="projecttitle" multiplicity="false" label="Project title">		
-				<xsl:attribute name="value"><xsl:value-of select='./title'/> </xsl:attribute>
-			</field>
-			<field name = "projectcontracttypeid" indexId ="projectcontracttypeid" multiplicity="false" label="Project contract type id">		
-				<xsl:attribute name="value"><xsl:value-of select='./contracttype/@classid'/> </xsl:attribute>
-			</field>
-			<field name = "projectcontracttypename" indexId ="projectcontracttypename" multiplicity="false" label="Project contract type name">		
-				<xsl:attribute name="value"><xsl:value-of select='./contracttype/@classname'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>
-<!--RESULT-->
-	<xsl:if test="./to/@type='result'">
-		<field name="result" indexId = "objIdentifier"  multiplicity="true">
-			<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			<field name = "resultid" indexId ="objIdentifier" multiplicity="false" label="Result id">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "title" indexId = "resulttitle" multiplicity = "false" label = "Title">
-				<xsl:attribute name="value">
-					<xsl:value-of select="./title"/>
-				</xsl:attribute>
-			</field>
-			<field name = "dateofacceptance" indexId = "resultdateofacceptance" multiplicity = "false" label = "Date of acceptance">
-				<xsl:attribute name="value">
-					<xsl:value-of select="./dateofacceptance"/>
-				</xsl:attribute>
-			</field>
-			<field name = "resulttypeid" indexId = "resulttypeid" multiplicity = "false" label = "type id">
-				<xsl:attribute name="value">
-					<xsl:value-of select="./resulttype/@classid"/>
-				</xsl:attribute>
-			</field>
-			<field name = "resulttypename" indexId = "resulttypename" multiplicity = "false" label = "type name">
-				<xsl:attribute name="value">
-					<xsl:value-of select="./resulttype/@classname"/>
-				</xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>	
-<!--ORGANIZATION-->
-	<xsl:if test="./to/@type='organization'">
-		<field name="organization" indexId = "objIdentifier"  multiplicity="true">
-			<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			<field name = "organizationid" indexId ="objIdentifier" multiplicity="false" label="Organization id">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "role" indexId ="" multiplicity="false" label="role">		
-				<xsl:attribute name="value"><xsl:value-of select='./to/@class'/> </xsl:attribute>
-			</field>
-			<field name = "legalshortname" indexId ="organizationlegalshortname" multiplicity="false" label="Organization short name">		
-				<xsl:attribute name="value"><xsl:value-of select='./legalshortname'/> </xsl:attribute>
-			</field>
-			<field name = "websiteurl" indexId ="organizationwebsiteurl" multiplicity="false" label="Website">		
-				<xsl:attribute name="value"><xsl:value-of select='./websiteurl'/> </xsl:attribute>
-			</field>
-			<field name = "countryid" indexId ="organizationcountryid" multiplicity="false" label="Country code">		
-				<xsl:attribute name="value"><xsl:value-of select='./country/@classid'/> </xsl:attribute>
-			</field>
-			<field name = "countryname" indexId ="organizationcountryname" multiplicity="false" label="Country">		
-				<xsl:attribute name="value"><xsl:value-of select='./country/@classname'/> </xsl:attribute>
-			</field>
-			<field name = "participantnumber" indexId ="" multiplicity="false" label="Participant Number">		
-				<xsl:attribute name="value"><xsl:value-of select='./participantnumber'/> </xsl:attribute>
-			</field>
-			<field name = "contactperson" indexId ="" multiplicity="false" label="Contact Person">		
-				<xsl:attribute name="value"><xsl:value-of select='./contactperson'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>
-
-</xsl:template>
-</xsl:stylesheet>
Index: modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/project.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/project.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/project.xsl	(nonexistent)
@@ -1,184 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-xmlns:oaf="http://namespace.openaire.eu/oaf"
-xmlns:dc="http://purl.org/dc/elements/1.1/">
-<xsl:output method="xml" indent="yes" encoding="UTF-8"/>
-<xsl:template match="/">
-<record type="project">
-	<xsl:apply-templates select="/record/result/metadata/oaf:entity/oaf:project"/>
-	<xsl:apply-templates select="/record/result/metadata/oaf:entity/oaf:project/children/organizations"/>
-	<xsl:apply-templates select="/record/result/metadata/oaf:entity/oaf:project/rels/rel"/>
-</record>
-</xsl:template>
-
-<xsl:template match = "oaf:project">
-	<field name="projectid" label = "Project Id" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectid'/>
-		</xsl:attribute>
-	</field>
-	<field name="projectname" label = "Project" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectname'/>
-		</xsl:attribute>
-	</field>
-	<field name="projecttitle" label = "Title" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectdescription'/>
-		</xsl:attribute>
-	</field>
-	<field name="projectcallid" label = "Call" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectcallid'/>
-		</xsl:attribute>
-	</field>
-	<field name="projectgrantagreementnumber" label = "Grant agreement number" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectgrantagreementnumber'/>
-		</xsl:attribute>
-	</field>
-	<field name="projectsc39" label = "Special Clause 39" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:choose>
-				<xsl:when test = "./oaf:projectsc39 = 'true'">
-					<xsl:text>yes</xsl:text>
-				</xsl:when>
-				<xsl:when test = "./oaf:projectsc39 = 'false'">
-					<xsl:text>no</xsl:text>
-				</xsl:when>
-								
-			</xsl:choose>
-		</xsl:attribute>
-	</field>
-	<field name="projectstartdate" label = "Start date" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:variable name="datestr"><xsl:value-of select='./oaf:projectstartdate'/></xsl:variable>
-			<xsl:value-of select="substring($datestr,9,2)"/>
-			<xsl:value-of select="'/'"/>
-			<xsl:value-of select="substring($datestr,6,2)"/>
-			<xsl:value-of select="'/'"/>
-			<xsl:value-of select="substring($datestr,1,4)"/>
-		</xsl:attribute>
-	</field>
-	<field name="projectenddate" label = "End date" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:variable name="datestr"><xsl:value-of select='./oaf:projectenddate'/></xsl:variable>
-			<xsl:value-of select="substring($datestr,9,2)"/>
-			<xsl:value-of select="'/'"/>
-			<xsl:value-of select="substring($datestr,6,2)"/>
-			<xsl:value-of select="'/'"/>
-			<xsl:value-of select="substring($datestr,1,4)"/>
-		</xsl:attribute>
-	</field>
-	<field name="projectsubject" label = "Scientific area" indexId = "" multiplicity = "true">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectsubject'/>
-		</xsl:attribute>
-	</field>
-	<field name="specificprogramname" label = "Programme" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:specificprogramname'/><xsl:text>-</xsl:text><xsl:value-of select='./oaf:specificprogramdescription'/>
-		</xsl:attribute>
-	</field>
-			<!--		  SITES			-->
-	<field name="projectsite" label = "Project site" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectsite'/>
-		</xsl:attribute>
-	</field>
-	<field name="projectecsite" label = "Project ec site" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:projectecsite'/>
-		</xsl:attribute>
-	</field>
-
-
-			<!--		 MORE INFO 		-->
-	<field name="fundingschemename" label = "Funding scheme name" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:fundingschemename'/>
-		</xsl:attribute>
-	</field>
-	<field name="fundingschemedescription" label = "Funding scheme description" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:fundingschemedescription'/>
-		</xsl:attribute>
-	</field>
-	<field name="programid" label = "Program id" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:programid'/>
-		</xsl:attribute>
-	</field>
-	<field name="programname" label = "Program name" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:programname'/>
-		</xsl:attribute>
-	</field>
-	<field name="frameworkprogramid" label = "Framework program id" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:frameworkprogramid'/>
-		</xsl:attribute>
-	</field>
-	<field name="frameworkprogramname" label = "Framework program name" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:frameworkprogramname'/>
-		</xsl:attribute>
-	</field>
-	<field name="frameworkprogramdescription" label = "Framework program description" indexId = "" multiplicity = "false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:frameworkprogramdescription'/>
-		</xsl:attribute>
-	</field>
-</xsl:template>
-
-<xsl:template match = "organizations">
-	<xsl:for-each select="./organization">
-		<field name="organization" multiplicity="true">
-			<field name = "organisationid" label="Organization Id" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="./@id"/>
-				</xsl:attribute>
-			</field>
-			<field name = "legalname" label="Legal Name" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="./legal_name"/>
-				</xsl:attribute>
-			</field>
-		</field>
-	</xsl:for-each>
-</xsl:template>
-
-<xsl:template match = "rels/rel">
-	<xsl:if test="./to/@class ='result'">
-		<field name="publication" multiplicity="true">
-			<field name = "resultId" label="resultId" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="./to"/>
-				</xsl:attribute>
-			</field>
-			<xsl:for-each select="./dc:title"><field name = "title" label="Title" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="."/>
-				</xsl:attribute>
-			</field></xsl:for-each>
-			<xsl:for-each select="./oaf:publicationyear"><field name = "publicationyear" label="Publication year" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="."/>
-				</xsl:attribute>
-			</field></xsl:for-each>
-			<xsl:for-each select="./oaf:datasourcename"><field name = "datasourcename" label="Datasource name" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="."/>
-				</xsl:attribute>
-			</field></xsl:for-each>
-			<xsl:for-each select="./oaf:datasourceid"><field name = "datasourceid" label="Datasource id" indexId="" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of	select="."/>
-				</xsl:attribute>
-			</field></xsl:for-each>
-		</field>
-	</xsl:if>
-</xsl:template>
-
-</xsl:stylesheet>
Index: modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/result.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/result.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/result.xsl	(nonexistent)
@@ -1,219 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-xmlns:oaf="http://namespace.openaire.eu/oaf"
-xmlns:dc="http://purl.org/dc/elements/1.1/">
-<xsl:output method="xml" indent="yes" encoding="UTF-8"/>
-<xsl:template match = "/">
-<result type ="result">
-	<xsl:apply-templates select="//header"/>
-	<xsl:apply-templates select="//oaf:result"/>
-	<xsl:apply-templates select="//rel"/>
-	<xsl:apply-templates select="//instances"/>
-</result>
-</xsl:template>
-
-<xsl:template match = "header">
-	<field name="resultId" multiplicity="false" indexId="objIdentifier" label="object id">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./dri:objIdentifier'/>
-		</xsl:attribute>
-	</field>
-</xsl:template>
-
-<xsl:template match = "oaf:result">
-	<xsl:for-each select = "./dc:title">		
-		<field name="title" indexId = "title" multiplicity="true" label="Title">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:creator">
-		<field name="creator" indexId = "creator" multiplicity="true" label="Author(s)">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:description">
-		<field name="description" indexId = "description" multiplicity="true" label="Description">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:publisher">
-		<field name="publisher" indexId = "publisher" multiplicity="true" label="Publisher(s)">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:identifier">
-		<field name="identifier" indexId = "identifier" multiplicity="true" label="id"> 
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:subject">
-		<field name="subject" indexId = "subject" multiplicity="true" label="Subject(s)">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./dc:language">
-		<field name="language" indexId = "language" multiplicity="true" label="Language">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:publicationdate">
-		<field name="publicationdate" indexId = "publicationdate" multiplicity="true" label="Publication date">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:publicationyear">
-		<field name="publicationyear" indexId = "publicationyear" multiplicity="true" label="Publication year">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:embargoenddate">
-		<field name="embargoenddate" indexId = "embargoenddate" multiplicity="true" label="Embargo end date">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:embargoendyear">
-		<field name="embargoendyear" indexId = "embargoendyear" multiplicity="true" label="Embargo end year">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:accessmode">
-		<field name="accessmode" indexId = "accessmode" multiplicity="true" label="Access mode">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:haskind">
-		<field name="haskind" indexId = "haskind" multiplicity="true" label="has kind">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>	
-	<xsl:for-each select = "./oaf:hastype">
-		<field name="hastype" indexId = "hastype" multiplicity="true" label="has type">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:affiliationid">
-		<field name="affiliationid" indexId = "affiliationid" multiplicity="true" label="Affiliation">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:countryaffiliation">
-		<field name="countryaffiliation" indexId = "countryaffiliation" multiplicity="true" label="Country">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:affiliationname">
-		<field name="affiliationname" indexId = "affiliationname" multiplicity="true" label="Affiliation">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:aggregatedby">
-		<field name="aggregatedby" indexId = "aggregatedby" multiplicity="true" label="Aggregated by">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:aggregatorname">
-		<field name="aggregatorname" indexId = "aggregatorname" multiplicity="true" label="Aggregator(s)">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select = "./oaf:aggregatorurl">
-		<field name="aggregatorurl" indexId = "aggregatorurl" multiplicity="true" label="Aggregator url">
-			<xsl:attribute name="value">
-				<xsl:value-of select='.'/>
-			</xsl:attribute>
-		</field>
-	</xsl:for-each>
-	<xsl:for-each select="./bestlicense">
-                <field name="bestlicense" indexId="resultbestlicense" multiplicity="false" label="Best license">
-                        <xsl:attribute name="value">
-                                <xsl:value-of select="./@classname"/>
-                        </xsl:attribute>
-                </field>
-        </xsl:for-each>
-</xsl:template>
-
-<xsl:template match="rel">
-	<xsl:if test="./to/@type='person'">
-		<field name="author" indexId = ""  multiplicity="true">
-			<field name = "personId" indexId ="" multiplicity="false" label="person">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "fullname" indexId ="" multiplicity="false" label="Person fullname">		
-				<xsl:attribute name="value"><xsl:value-of select='./oaf:fullname'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>
-	<xsl:if test="./to/@type='project'">	
-		<field name="project" indexId = "" multiplicity="true">
-			<field name = "projectgrantagreementnumber" indexId ="projectgrantagreementnumber" multiplicity="false" label="Project grant agreement number">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "projectname" indexId ="projectname" multiplicity="false" label="Project(s)">		
-				<xsl:attribute name="value"><xsl:value-of select='./oaf:projectname'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>
-</xsl:template>
-
-<xsl:template match="instances">
-	<xsl:for-each select = "./instance">
-		<field name = "repository"  indexId = "" multiplicity="true">
-			<field name = "instanceId" indexId = "objIdentifier" multiplicity = "false">
-				<xsl:attribute name="value"><xsl:value-of select="./@id"/></xsl:attribute>
-			</field>
-			<field name = "repositoryname" indexId = "datasourcename" multiplicity="false">
-				<xsl:attribute name = "value"> <xsl:value-of select="./datasource/oaf:datasourcename"/> </xsl:attribute>
-			</field> 
-			<field name = "repositoryid" indexId = "datasourceid" multiplicity="false">
-				<xsl:attribute name = "value"> <xsl:value-of select="./datasource/oaf:datasourceid"/> </xsl:attribute>
-			</field> 
-			<xsl:for-each select="./webresource">
-				<field name = "url" indexId = "dc:identifier" multiplicity="true">
-					<xsl:attribute name = "value"> <xsl:value-of select="./dc:identifier"/> </xsl:attribute>
-				</field> 
-			</xsl:for-each>
-		</field>
-	</xsl:for-each>
-</xsl:template>
-
-</xsl:stylesheet>
-
Index: modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/person.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/person.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/eu/dnetlib/data/search/transform/config/person.xsl	(nonexistent)
@@ -1,105 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
-xmlns:dri="http://www.driver-repository.eu/namespace/dri"
-xmlns:oaf="http://namespace.openaire.eu/oaf"
-xmlns:dc="http://purl.org/dc/elements/1.1/">
-<xsl:output method="xml" indent="yes" encoding="UTF-8"/>
-<xsl:template match="/">
-<record type="person">
-	<xsl:apply-templates select="/record/result/header"/>
-	<xsl:apply-templates select="/record/result/metadata/oaf:entity/oaf:person"/>
-	<xsl:apply-templates select="/record/result/metadata/oaf:entity/oaf:person/rels/rel"/>
-</record>
-</xsl:template>
-
-<xsl:template match="header">
-	<field name="personId" multiplicity="false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./dri:objIdentifier'/>
-		</xsl:attribute>
-		<xsl:attribute name="label">
-			<xsl:text>personId</xsl:text>
-		</xsl:attribute>
-		<xsl:attribute name="indexId">
-			<xsl:text>dri:objIdentifier</xsl:text>
-		</xsl:attribute>
-	</field>
-</xsl:template>
-
-<xsl:template match="oaf:person">
-	<field name="fullname" multiplicity="false">
-		<xsl:attribute name="value">
-			<xsl:value-of select='./oaf:fullname'/>
-		</xsl:attribute>
-		<xsl:attribute name="label">
-			<xsl:text>Fullname</xsl:text>
-		</xsl:attribute>
-		<xsl:attribute name="indexId">
-		</xsl:attribute>
-	</field>
-</xsl:template>
-
-<xsl:template match="rel">
-	<field multiplicity="true">
-		<xsl:attribute name="name">
-			<xsl:value-of select='./to/@class'/>
-		</xsl:attribute>
-		<xsl:if test="./to/@type ='person'">
-			<field name="personId" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of select='./to'/>
-				</xsl:attribute>
-				<xsl:attribute name="label">
-					<xsl:text>personId</xsl:text>
-				</xsl:attribute>
-					<xsl:attribute name="indexId">
-				</xsl:attribute>
-			</field>
-			<field name="fullname" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of select='./oaf:fullname'/>
-				</xsl:attribute>
-				<xsl:attribute name="label">
-					<xsl:text>Fullname</xsl:text>
-				</xsl:attribute>
-					<xsl:attribute name="indexId">
-				</xsl:attribute>
-			</field>
-		</xsl:if>
-		
-		<xsl:if test="./to/@type ='result'">
-			<field name="resultId" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of select='./to'/>
-				</xsl:attribute>
-				<xsl:attribute name="label">
-					<xsl:text>resultId</xsl:text>
-				</xsl:attribute>
-					<xsl:attribute name="indexId">
-				</xsl:attribute>
-			</field>
-			<field name="title" multiplicity="true">
-				<xsl:attribute name="value">
-					<xsl:value-of select='./dc:title'/>
-				</xsl:attribute>
-				<xsl:attribute name="label">
-					<xsl:text>Title</xsl:text>
-				</xsl:attribute>
-					<xsl:attribute name="indexId">
-				</xsl:attribute>
-			</field>
-			<field name="publicationYear" multiplicity="false">
-				<xsl:attribute name="value">
-					<xsl:value-of select='./oaf:publicationyear'/>
-				</xsl:attribute>
-				<xsl:attribute name="label">
-					<xsl:text>Publication Year</xsl:text>
-				</xsl:attribute>
-					<xsl:attribute name="indexId">
-				</xsl:attribute>
-			</field>
-		</xsl:if>
-
-	</field>
-</xsl:template>
-</xsl:stylesheet>
Index: modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/solr/SolrResultSet.java
===================================================================
--- modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/solr/SolrResultSet.java	(revision 50400)
+++ modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/solr/SolrResultSet.java	(revision 50401)
@@ -264,7 +264,6 @@
         return null;
     }
 
-
     public void cursorGet(Transformer transformer, OutputStream os) throws SolrServerException, SearchServiceException {
         queryOpts.add("start", "0");
         queryOpts.add("rows", "0");
@@ -315,6 +314,7 @@
         logger.debug("CURS " + curs);
     }
 
+
     //TODO get rid of this as soon as Joomla portal is out
     //Just copied and refactored the old one...
     @Deprecated
@@ -365,8 +365,6 @@
         }
     }
 
-
-
  /*   public static void main(String[] args) throws IOException, CQLParseException, SolrServerException {
         CloudSolrServer solrClient = new CloudSolrServer("beta.solr.openaire.eu:9983");
         solrClient.setDefaultCollection("DMF-index-openaire");
Index: modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/app/SearchServiceImpl.java
===================================================================
--- modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/app/SearchServiceImpl.java	(revision 50400)
+++ modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/app/SearchServiceImpl.java	(revision 50401)
@@ -267,7 +267,6 @@
         rs.close();
         return new SearchResult(query, Locale.getDefault().toString(), rs.size(), from, to, searchResults, browseResults, refinefields);
     }
-
     public void cursorSearch(String text, List<String> refinefields, List<String> fieldQueries,
                                        String format, Transformer transformer, OutputStream os) throws SearchServiceException {
 
@@ -316,72 +315,7 @@
         rs.close();
     }
 
-    /*
-    public OutputStream cursorSearch(String text, List<String> refinefields, List<String> fieldQueries) throws SearchServiceException, IOException, SolrServerException {
 
-        //logger.info("newSearch > from: " + from + " to:" + to);
-        long startTime = System.nanoTime();
-
-        IndexService index = getIndexLocator().getService();
-
-        EPR epr = null;
-        ResultSet<String> rs = null;
-
-        List<String> browseResults = null;
-        List<String> searchResults = null;
-
-        String query = rewrite(text);
-        enhanceFieldQueries(fieldQueries);
-        logger.info("Performing query " + query + "' and fields " + fieldQueries + " and refine " + refinefields);
-
-        try {
-            //TODO see parser and maybe delete!
-            //query = new CQLParser().parse(query).toCQL();
-            String eprQuery = createEprQuery(query, refinefields, fieldQueries);
-
-            epr = index.getBrowsingStatistics(eprQuery, "all", mdFormat, indexLayout);
-
-            if (epr == null) {
-                throw new SearchServiceException("Something really strange happened there! Index returned null result set id.");
-            }
-
-            //get the locale TODO do we need this?
-            //String correctLocale = getCorrectLocale(locale);
-            //StringTokenizer tokenizer = new StringTokenizer(correctLocale, "_");
-            //Locale requestLocale = new Locale(tokenizer.nextToken(), tokenizer.nextToken());
-
-            rs = rsFactory.createResultSet(epr);
-
-            Map<String, List<String>> list = null;
-            return ((SolrResultSet)rs).cursorGet(transformer);
-
-        } catch (IndexServiceException ise) {
-            logger.error("Error getting refine results.", ise);
-            throw new SearchServiceException("Error getting refine results.", ise);
-
-        }
-
-    }*/
-
-    /* TODO: check if really needed
-    private String getCorrectLocale(String givenLocaleName){
-        String correctLocale = null;
-        if (givenLocaleName == null) {
-            return transformerFactory.getConfig().getDefaultLocale().getLanguage() + "_" + transformerFactory.getConfig().getDefaultLocale().getCountry();
-        } else {
-            correctLocale = givenLocaleName;
-        }
-
-        //get the locale
-        StringTokenizer tokenizer = new StringTokenizer(correctLocale, "_");
-        Locale requestLocale = new Locale(tokenizer.nextToken(), tokenizer.nextToken());
-
-        if(requestLocale == null || !transformerFactory.getConfig().getLocales().contains(requestLocale)){
-            correctLocale = transformerFactory.getConfig().getDefaultLocale().getLanguage() + "_" + transformerFactory.getConfig().getDefaultLocale().getCountry();
-        }
-        return correctLocale;
-    }*/
-
     private String rewrite(String query) {
         if (queryRules != null) {
             for (QueryRewriteRule queryRule: queryRules) {
Index: modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/utils/cql/ParameterQueryEnhancer.java
===================================================================
--- modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/utils/cql/ParameterQueryEnhancer.java	(revision 50400)
+++ modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/utils/cql/ParameterQueryEnhancer.java	(revision 50401)
@@ -139,7 +139,7 @@
 
     public static void enhanceQueryWithAccessRights(StringBuilder queryBuilder, HttpServletRequest request) {
         String oa = request.getParameter("OA");
-        addBooleanQueryTerm("resultbestlicense", oa, "Open Access", queryBuilder);
+        addBooleanQueryTerm("resultbestaccessright", oa, "Open Access", queryBuilder);
     }
 
     public static void enhanceQueryWithDate(StringBuilder queryBuilder, HttpServletRequest request) throws IllegalArgumentException{
@@ -255,7 +255,7 @@
     private static boolean checkPublicationSortParameterFields(String sortField) {
         if ((sortField != null) && (!sortField.isEmpty()) &&
                 sortField.matches("dateofcollection|resultstoragedate|resultembargoenddate|resultembargoendyear|" +
-                "resulttypeid|resulttypename|resultlanguageid|resultlanguagename|resultbestlicense|" +
+                "resulttypeid|resulttypename|resultlanguageid|resultlanguagename|resultbestaccessright|" +
                 "resultbestlicenseid|resultdateofacceptance|resultacceptanceyear")) {
             return true;
         }
Index: modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/web/api/SearchApiService.java
===================================================================
--- modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/web/api/SearchApiService.java	(revision 50400)
+++ modules/uoa-search/trunk/src/main/java/eu/dnetlib/data/search/web/api/SearchApiService.java	(revision 50401)
@@ -584,12 +584,12 @@
         }
 
         long startTime = System.nanoTime();
-        RequestResponseHandler.Entity entity =  extractEntity(type);
-        Transformer transformer = extractTransformer(format, extractEntity(type));
-        boolean special = isSpecialFormat(format);
+        final RequestResponseHandler.Entity entity =  extractEntity(type);
+        final Transformer transformer = extractTransformer(format, extractEntity(type));
+        final boolean special = isSpecialFormat(format);
         String responseType =  extractResponseFormat(format);
 
-        String fullQuery = buildSearchRequest(entity,"", fieldQueries);
+        final String fullQuery = buildSearchRequest(entity,"", fieldQueries);
 
         try {
             SearchResult sr = searchService.newSearch(fullQuery, Locale.getDefault().toString(), fields, fieldQueries,0, 0, format, transformer,null,false);
Index: modules/uoa-search/trunk/src/main/resources/sygma.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/sygma.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/sygma.xsl	(revision 50401)
@@ -49,7 +49,7 @@
                     <webresource><xsl:value-of select="@value"/></webresource>
                 </xsl:for-each>
             </xsl:for-each>
-            <bestlicense><xsl:value-of select="field[@name='bestlicense']/@value"/></bestlicense>
+            <bestlicense><xsl:value-of select="field[@name='bestaccessright']/@value"/></bestlicense>
         </publication>
     </xsl:template>
 
Index: modules/uoa-search/trunk/src/main/resources/publication_csv_notitle.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/publication_csv_notitle.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/publication_csv_notitle.xsl	(revision 50401)
@@ -107,7 +107,7 @@
 
                     <!--access -->
                     <xsl:text>&quot;</xsl:text>
-                    <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                    <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                     <xsl:text>&quot;</xsl:text>
                     <xsl:text>&#xD;</xsl:text>
 
@@ -181,7 +181,7 @@
 
                 <!--access -->
                 <xsl:text>&quot;</xsl:text>
-                <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                 <xsl:text>&quot;</xsl:text>
                 <xsl:text>&#xD;</xsl:text>
             </xsl:otherwise>
Index: modules/uoa-search/trunk/src/main/resources/csv_publication.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/csv_publication.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/csv_publication.xsl	(revision 50401)
@@ -28,10 +28,10 @@
         <xsl:text>",</xsl:text>
 
         <!-- Authors -->
-        <xsl:for-each select="rels/rel/to[@class='hasAuthor']">
-            <xsl:sort select="ranking"/>
+        <xsl:for-each select="creator">
+            <xsl:sort select="@rank"/>
             <xsl:text>"</xsl:text>
-            <xsl:value-of select="../fullname"/>
+            <xsl:value-of select="."/>
             <xsl:text>"</xsl:text>
             <xsl:if test="not(position()=last())">
                 <xsl:text>;</xsl:text>
@@ -71,7 +71,7 @@
         <xsl:text>,</xsl:text>
 
         <!-- Access -->
-        <xsl:value-of select="bestlicense/@classname"/>
+        <xsl:value-of select="bestaccessright/@classname"/>
         <xsl:text>&#xd;</xsl:text>
 
     </xsl:template>
Index: modules/uoa-search/trunk/src/main/resources/sygma_dataset.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/sygma_dataset.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/sygma_dataset.xsl	(revision 50401)
@@ -45,7 +45,7 @@
                     <webresource><xsl:value-of select="@value"/></webresource>
                 </xsl:for-each>
             </xsl:for-each>
-            <bestlicense><xsl:value-of select="field[@name='bestlicense']/@value"/></bestlicense>
+            <bestlicense><xsl:value-of select="field[@name='bestaccessright']/@value"/></bestlicense>
             <relatedpublications>
                     <xsl:for-each select="field[@name='isRelatedTo']">
                         <xsl:if test="field[@name='resulttypeid']/@value = 'publication'">
Index: modules/uoa-search/trunk/src/main/resources/csv.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/csv.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/csv.xsl	(revision 50401)
@@ -106,7 +106,7 @@
 
                     <!--access -->
                     <xsl:text>&quot;</xsl:text>
-                        <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                        <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                         <xsl:text>&quot;</xsl:text>
                     <xsl:text>&#xD;</xsl:text>
 
@@ -179,7 +179,7 @@
 
             <!--access -->
             <xsl:text>&quot;</xsl:text>
-            <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+            <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
             <xsl:text>&quot;</xsl:text>
             <xsl:text>&#xD;</xsl:text>
         </xsl:otherwise>
Index: modules/uoa-search/trunk/src/main/resources/html_publication_special.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/html_publication_special.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/html_publication_special.xsl	(revision 50401)
@@ -89,7 +89,7 @@
 
             <!-- Access -->
             <td>
-                <xsl:value-of select="bestlicense/@classname"/>
+                <xsl:value-of select="bestaccessright/@classname"/>
             </td>
         </tr>
     </xsl:template>
Index: modules/uoa-search/trunk/src/main/resources/publication_tsv_notitle.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/publication_tsv_notitle.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/publication_tsv_notitle.xsl	(revision 50401)
@@ -108,7 +108,7 @@
 
                     <!--access -->
                     <xsl:text>&quot;</xsl:text>
-                    <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                    <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                     <xsl:text>&quot;</xsl:text>
                     <xsl:text>&#xD;</xsl:text>
 
@@ -181,7 +181,7 @@
 
                 <!--access -->
                 <xsl:text>&quot;</xsl:text>
-                <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                 <xsl:text>&quot;</xsl:text>
                 <xsl:text>&#xD;</xsl:text>
             </xsl:otherwise>
Index: modules/uoa-search/trunk/src/main/resources/tsv.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/tsv.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/tsv.xsl	(revision 50401)
@@ -106,7 +106,7 @@
 
                     <!--access -->
                     <xsl:text>&quot;</xsl:text>
-                    <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                    <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                     <xsl:text>&quot;</xsl:text>
                     <xsl:text>&#xD;</xsl:text>
 
@@ -179,7 +179,7 @@
 
                 <!--access -->
                 <xsl:text>&quot;</xsl:text>
-                <xsl:value-of select="../field[@name='bestlicense']/@value"/>
+                <xsl:value-of select="../field[@name='bestaccessright']/@value"/>
                 <xsl:text>&quot;</xsl:text>
                 <xsl:text>&#xD;</xsl:text>
             </xsl:otherwise>
Index: modules/uoa-search/trunk/src/main/resources/result.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/result.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/result.xsl	(revision 50401)
@@ -8,7 +8,6 @@
 <xsl:template match = "/">
 
 <result type ="result">
-	<test_the></test_the>
 	<xsl:apply-templates select="//header"/>
     <xsl:apply-templates select="//children/result"/>
 	<xsl:apply-templates select="//oaf:result"/>
@@ -81,6 +80,21 @@
 		</field>
 	</xsl:for-each>
 
+	<xsl:for-each select="./creator">
+		<field name="hasAuthor">
+			<field name="fullname">
+				<xsl:attribute name="value">
+					<xsl:value-of select='.'/>
+				</xsl:attribute>
+			</field>
+			<field name="ranking">
+				<xsl:attribute name="value">
+					<xsl:value-of select='./@rank'/>
+				</xsl:attribute>
+			</field>
+		</field>
+	</xsl:for-each>
+
 	<xsl:for-each select = "./description">
 		<field name="description" indexId = "resultdescription" multiplicity="true" label="Description">
 			<xsl:attribute name="value">
@@ -233,8 +247,8 @@
 		</field>
 	</xsl:for-each>
 
-    <xsl:for-each select="./bestlicense">
-        <field name="bestlicense" indexId="resultbestlicense" multiplicity="false" label="Best License">
+    <xsl:for-each select="./bestaccessright">
+        <field name="bestaccessright" indexId="resultbestaccessright" multiplicity="false" label="Best License">
             <xsl:attribute name="value">
                 <xsl:value-of select="@classid" />
             </xsl:attribute>
@@ -407,61 +421,6 @@
 </xsl:template>
 
 <xsl:template match="rel">
-<!--PERSON-->
-	<xsl:if test="./to/@type='person'">
-		<field indexId = "objIdentifier"  multiplicity="true">
-			<xsl:attribute name="name"><xsl:value-of select='./to/@class'/></xsl:attribute>
-			<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			<field name = "inferred" indexId="" multiplicity = "false" label="inferred">		
-				<xsl:attribute name="value">
-					<xsl:choose>
-						<xsl:when test="@inferred !=''">
-							<xsl:value-of select="@inferred"/>
-						</xsl:when>
-						<xsl:otherwise>
-							<xsl:text>false</xsl:text>
-						</xsl:otherwise>
-					</xsl:choose>
-				</xsl:attribute>
-			</field>
-			<field name = "trust" indexId="" multiplicity = "false" label="trust level">
-				<xsl:attribute name="value">
-					<xsl:choose>
-						<xsl:when test="@trust !=''">
-							<xsl:value-of select="@trust"/>
-						</xsl:when>
-						<xsl:otherwise>
-							<xsl:text>NEUTRAL</xsl:text>
-						</xsl:otherwise>
-					</xsl:choose>
-				</xsl:attribute>
-			</field>
-			<field name = "provenance" indexId="" multiplicity = "false" label="provenance">
-				<xsl:attribute name="value">
-				<xsl:choose>
-						<xsl:when test="@provenanceaction !=''">
-							<xsl:value-of select="@provenanceaction"/>
-						</xsl:when>
-						<xsl:otherwise>
-							<xsl:text></xsl:text>
-						</xsl:otherwise>
-					</xsl:choose>
-				</xsl:attribute>
-			</field>
-			<field name = "personId" indexId ="objIdentifier" multiplicity="false" label="Person id">		
-				<xsl:attribute name="value"><xsl:value-of select='./to'/> </xsl:attribute>
-			</field>
-			<field name = "role" indexId ="" multiplicity="false" label="role">		
-				<xsl:attribute name="value"><xsl:value-of select='./to/@class'/> </xsl:attribute>
-			</field>
-			<field name = "fullname" indexId ="personfullname" multiplicity="false" label="Person fullname">		
-				<xsl:attribute name="value"><xsl:value-of select='./fullname'/> </xsl:attribute>
-			</field>
-			<field name = "ranking" indexId ="" multiplicity="false" label="ranking">		
-				<xsl:attribute name="value"><xsl:value-of select='./ranking'/> </xsl:attribute>
-			</field>
-		</field>
-	</xsl:if>	
 <!--PROJECT-->
 	<xsl:if test="./to/@type='project'">
 		<field name="project" indexId = "objIdentifier" multiplicity="true">
@@ -731,11 +690,11 @@
 			<field name = "hostedbyname" indexId = "resulthostingdatasourcename" multiplicity="false">
 				<xsl:attribute name = "value"> <xsl:value-of select="./hostedby/@name"/> </xsl:attribute>
 			</field>
-			<xsl:for-each select="./licence">
-				<field name = "licenceid" indexId = "" multiplicity = "true">
+			<xsl:for-each select="./accessright">
+				<field name = "accessrightid" indexId = "" multiplicity = "true">
 					<xsl:attribute name = "value"> <xsl:value-of select="./@classid"/> </xsl:attribute>
 				</field>
-				<field name = "licencename" indexId = "resultrights" multiplicity = "true">
+				<field name = "accessrightname" indexId = "resultrights" multiplicity = "true">
 					<xsl:attribute name = "value"> <xsl:value-of select="./@classname"/> </xsl:attribute>
 				</field>
 			</xsl:for-each>
Index: modules/uoa-search/trunk/src/main/resources/csv_publication_special.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/csv_publication_special.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/csv_publication_special.xsl	(revision 50401)
@@ -32,10 +32,10 @@
             <xsl:text>",</xsl:text>
 
             <!-- Authors -->
-            <xsl:for-each select="../../../rels/rel/to[@class='hasAuthor']">
-                <xsl:sort select="ranking"/>
+            <xsl:for-each select="../../../creator">
+                <xsl:sort select="@rank"/>
                 <xsl:text>"</xsl:text>
-                <xsl:value-of select="../fullname"/>
+                <xsl:value-of select="."/>
                 <xsl:text>"</xsl:text>
                 <xsl:if test="not(position()=last())">
                     <xsl:text>;</xsl:text>
@@ -42,7 +42,7 @@
                 </xsl:if>
             </xsl:for-each>
             <xsl:text>,</xsl:text>
-
+            
             <!-- Publication Year -->
             <xsl:value-of select="../../../dateofacceptance"/>
             <xsl:text>,</xsl:text>
@@ -88,7 +88,7 @@
             <xsl:text>),</xsl:text>
 
             <!-- Access -->
-            <xsl:value-of select="../../../bestlicense/@classname"/>
+            <xsl:value-of select="../../../bestaccessright/@classname"/>
             <xsl:text>&#xd;</xsl:text>
 
         </xsl:for-each>
Index: modules/uoa-search/trunk/src/main/resources/dc.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/dc.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/dc.xsl	(revision 50401)
@@ -68,7 +68,7 @@
 			<xsl:value-of select="." />
 		</dc:identifier>
 	</xsl:template>
-	<xsl:template match="bestlicense">
+	<xsl:template match="bestaccessright">
 		<dc:rights>
 			<xsl:value-of select="./@classname" />
 		</dc:rights>
Index: modules/uoa-search/trunk/src/main/resources/simple.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/simple.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/simple.xsl	(revision 50401)
@@ -12,4 +12,5 @@
 		<xsl:apply-templates select="@*|node()"/>
 	</xsl:copy>
 </xsl:template>
+	
 </xsl:stylesheet>
\ No newline at end of file
Index: modules/uoa-search/trunk/src/main/resources/html_publication.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/html_publication.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/html_publication.xsl	(revision 50401)
@@ -25,9 +25,9 @@
 
             <!-- Authors -->
             <td>
-                <xsl:for-each select="rels/rel/to[@class='hasAuthor']">
-                    <xsl:sort select="field[@name='ranking']/@value"/>
-                    <xsl:value-of select="../fullname"/>
+                <xsl:for-each select="creator">
+                    <xsl:sort select="@rank"/>
+                    <xsl:value-of select="."/>
                     <xsl:if test="not(position()=last())">
                         <xsl:text>;</xsl:text>
                     </xsl:if>
@@ -90,7 +90,7 @@
 
             <!-- Access -->
             <td>
-                <xsl:value-of select="bestlicense/@classname"/>
+                <xsl:value-of select="bestaccessright/@classname"/>
             </td>
         </tr>
     </xsl:template>
Index: modules/uoa-search/trunk/src/main/resources/configuration.xml
===================================================================
--- modules/uoa-search/trunk/src/main/resources/configuration.xml	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/configuration.xml	(revision 50401)
@@ -81,10 +81,6 @@
 			<transformation match="datasourcetypeuiid.value" change="value" vocabulary="datasource_type" />
 		</transformer>
 
-		<transformer name="persons_openaire">
-			<transformation xslt="person.xsl" />
-		</transformer>
-
 		<transformer name="organizations_openaire">
 			<transformation xslt="organization.xsl" />
 		</transformer>
@@ -101,10 +97,6 @@
 			<transformation xslt="csv_datasource.xsl" />
 		</transformer>
 
-		<transformer name="csv_person">
-			<transformation xslt="csv_person.xsl" />
-		</transformer>
-
 		<transformer name="csv_project">
 			<transformation xslt="csv_project.xsl" />
 		</transformer>
@@ -116,7 +108,7 @@
 		<transformer name="html_publication">
 			<transformation xslt="html_publication.xsl" />
 		</transformer>
-		
+
 		<transformer name="csv-special_publication">
 			<transformation xslt="csv_publication_special.xsl" />
 		</transformer>
@@ -129,6 +121,10 @@
 			<transformation xslt="csv_publication_special.xsl" />
 		</transformer>
 
+		<transformer name="html_dataset">
+			<transformation xslt="html_publication.xsl" />
+		</transformer>
+
 		<transformer name="csv_software">
 			<transformation xslt="csv_publication.xsl" />
 		</transformer>
Index: modules/uoa-search/trunk/src/main/resources/html.xsl
===================================================================
--- modules/uoa-search/trunk/src/main/resources/html.xsl	(revision 50400)
+++ modules/uoa-search/trunk/src/main/resources/html.xsl	(revision 50401)
@@ -113,7 +113,7 @@
 
             <!--access -->
             <td>
-                <xsl:value-of select="field[@name='bestlicense']/@value"/>
+                <xsl:value-of select="field[@name='bestaccessright']/@value"/>
             </td>
        </tr>
 
Index: modules/uoa-search/trunk/pom.xml
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/xml
